Package org.kapott.hbci.exceptions

# Class HBCI_Exception

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.kapott.hbci.exceptions.HBCI_Exception

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AbortedException`, `CanNotParseMessageException`, `CTException`, `InitializingException`, `InvalidArgumentException`, `InvalidPassphraseException`, `InvalidSegSeqException`, `InvalidUserDataException`, `JobNotSupportedException`, `NeedKeyAckException`, `NoHashAlgSetException`, `NoSuchConstructorException`, `NoSuchElementException`, `NoSuchPathException`, `NoSuchSyntaxException`, `NoValidValueException`, `NoValueGivenException`, `OverwriteException`, `ParseErrorException`, `ProcessException`, `TooMuchElementsException`

public class HBCI_Exception extends RuntimeException
Diese Klasse ist die Super-Klasse aller Exceptions, die durch den HBCI-Kernel erzeugt werden. Beim Auftreten einer solchen Exception sollten die Messages der gesamten(!) Exception-Kette angezeigt werden, um die Fehlerursache bestmöglich bestimmen zu können.

    try {
        // hier HBCI-Zeugs machen
    } catch (HBCI_Exception e) {
        Throwable e2=e;
        String msg;

        System.out.println("HBCI-Exception:");
        while (e2!=null) {
            if ((msg=e2.getMessage())!=null) {
                System.out.println(msg);
            }
            e2=e2.getCause();
        }
    }

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HBCI_Exception()`
Erzeugen einer neuen HBCI_Exception ohne Message und ohne Cause
`HBCI_Exception(String s)`
Erzeugen einer neuen HBCI_Exception mit bestimmter Message
`HBCI_Exception(String st, Throwable e)`
Erzeugen einer neuen HBCI_Exception mit gegebener Message und Cause
`HBCI_Exception(Throwable e)`
Erzeugen einer neuen HBCI_Exception mit bestimmtem Cause.

## Method Summary

Modifier and Type
Method
Description
`protected static String`
`applyLogFilter(String st)`
`boolean`
`isFatal()`
Liefert true, wenn die Exception oder ihr Cause als fatal eingestuft wurde.
`void`
`setFatal(boolean b)`
Markiert eine Exception als fatal.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HBCI_Exception

public HBCI_Exception()
Erzeugen einer neuen HBCI_Exception ohne Message und ohne Cause

### HBCI_Exception

public HBCI_Exception(String s)
Erzeugen einer neuen HBCI_Exception mit bestimmter Message

Parameters:
  `s` - Message, die bei `getMessage()` zurückgegeben werden soll

### HBCI_Exception

public HBCI_Exception(Throwable e)
Erzeugen einer neuen HBCI_Exception mit bestimmtem Cause. Die Message, die in dieser Exception gespeichert wird, ist auf jeden Fall leer

Parameters:
  `e` - "Ursache" dieser Exception, die in der Exception-Kette als `getCause()` zurückgegeben werden soll

### HBCI_Exception

public HBCI_Exception(String st, Throwable e)
Erzeugen einer neuen HBCI_Exception mit gegebener Message und Cause

Parameters:
  `st` - Message, die bei `getMessage()` zurückgegeben werden soll
  `e` - "Ursache" dieser Exception, die in der Exception-Kette als `getCause()` zurückgegeben werden soll

## Method Details

### applyLogFilter

protected static String applyLogFilter(String st)

### setFatal

public void setFatal(boolean b)
Markiert eine Exception als fatal.

Parameters:
  `b` - true, wenn sie fatal ist.

### isFatal

public boolean isFatal()
Liefert true, wenn die Exception oder ihr Cause als fatal eingestuft wurde.

Returns:
  true, wenn die Exception oder ihr Cause als fatal eingestuft wurde.